#include <bits/stdc++.h>
#include <iostream>

using namespace std;

typedef long long ll;
typedef long l;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll n,a1,a2,a3,b1,b2,b3;
    l a;
    cin >> n >> a;
    a1=0;
    a2=0;
    a3=0;
    b1=0;
    b2=0;
    b3=0;
    if ((a==2) && (n%2==1))
    {
        cout << -1;
    }
    else
    {
    if (3*a > n)
        cout << -1;
    else
    {
        n=n-3*a;
        a1=a;
        a2=a;
        a3=a;
        if (a-2>=n)
        {
            b1=n;
            n=0;
        }
        else
        {
            b1=a-2;
            n=n-(a-2);
            a1+=n/2;
            b1+=n/2;
            b2=n % 2;
        }
        cout << a1 << " " << b1 <<"\n";
        cout << a2 << " " << b2 <<"\n";
        cout << a3 << " " << b3 <<"\n";
    }
    }
    return 0;
}